###############################################################################
## @file
## @author John C. Linford (jlinford@paratools.com)
## @version 1.0
##
## @brief Makefile rules for plotting driver (Fortran90)
##
## This file is part of Kppa: the Kinetic preproccessor accelerated.
##
## @section COPYRIGHT
##
## Kppa is copyright (c) 2012, ParaTools, Inc.
## All rights reserved.
##
## Kppa is licensed under the terms described in the file named "LICENSE"
## included in this distribution of Kppa.  
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
## AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
## ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE 
## LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
## CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
## SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
## INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
## CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
## ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
## POSSIBILITY OF SUCH DAMAGE.
##
###############################################################################

PLPLOT_INC = -I/usr/include/plplot \
             -I/usr/lib/fortran/include \
             -I/usr/lib/fortran/include/plplot \
             -I/usr/lib64/fortran/include \
             -I/usr/lib64/fortran/include/plplot

PLPLOT_MOD = -I/usr/lib/gfortran/modules \
             -I/usr/lib/fortran/modules/plplot \
             -I/usr/lib64/gfortran/modules \
             -I/usr/lib64/fortran/modules/plplot

PLPLOT_LIB = -L/usr/lib -L/usr/lib64

FFLAGS += $(PLPLOT_INC) $(PLPLOT_MOD)
LDFLAGS += $(PLPLOT_LIB)
LIBS += -lplplotf95d -lplplotf95cd -lm

EXE = ${component.prog.prefix[0:-1]}.exe

all: $(EXE)

$(EXE):  $(OBJ)
	$(LD) -o $(EXE) $(LDFLAGS) $(OBJ) $(LIBS)
